--- title: Document Lists --- ## Get List by Id **Required scope:** `public-api:read` This endpoint resolves the referenced documents in a list. The response is a JSON object including list information with resolved documents. **Use Cases** - Resolve a Document List in the delivery **History** | Version | Change | | ------- | ------ | | release-2024-03 | Added `ignoreComponentConditions` and `componentConditions` query parameters. | | release-2020-12 | Initial support. | **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/2026-05/document-lists/{id}?reverse=false&limit=20" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/2026-05/document-lists/{id} ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | id | integer | x | | | ?reverse | boolean | | Pass 'reverse=false' to get the list in the same order as you see it in the editor. (the default is reverse=true for backwards compatibility reasons) | | ?fields | string | | Filters which (comma separated) document properties are included in the response. Defaults to 'systemdata,metadata' also accepts 'content'. | | ?limit | integer | | A limit for how much documents to resolve for the requested list. Defaults to 100. Max. 100. | | ?ignoreComponentConditions | boolean | | Added in: [`release-2024-03`](/operations/releases/release-2024-03/)

Provides a way to opt out of component filtering and return all content regardless of whether each component passes the conditional checks.

Default: `false` | | ?componentConditions | string | | Added in: [`release-2024-03`](/operations/releases/release-2024-03/)

JSON stringified object which contains the component conditions you would like to apply.

Default: `dateTime: new Date()`
Example: `?componentConditions={"dateTime":"2024-02-14T17:25:10.391Z"}` | **Response** _200 OK_ — `/api/2026-05/document-lists/1` ```json { "id": 1, "name": "List one", "documents": [ { "systemdata": { "projectId": 1, "channelId": 1, "documentId": 1, "contentType": "article", "documentType": "article", "design": { "name": "timeline", "version": "1.1.0" } }, "metadata": { "title": "a title", "description": "some lead", "dependencies": {}, "test": { "callCount": 3, "message": "li-test called 3 times", "events": [ "onUpdate", "onUpdate", "onPreparePublish" ] }, "testDependency": "li-test-dependency.onUpdate is correct" } } ], "createdAt": "2020-11-05T10:55:51.255Z", "updatedAt": "2020-11-05T10:55:51.255Z" } ``` ## Get Lists **Required scope:** `public-api:read` The response is a JSON array including only document lists without resolving documents. **History** | Version | Change | | ------- | ------ | | release-2026-01 | Responds with an object containing a `results` array. | | release-2020-12 | Initial support. | **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/2026-05/document-lists" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/2026-05/document-lists ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | ?name | string | | Filters the result set and allows searching by list name | | ?limit | integer | | A limit for how much document lists to retrieve. Defaults to 10. Max. 100 | | ?offset | integer | | An offset into the query. Useful when getting more than 100 results (pagination) | **Response** _200 OK_ — `/api/2026-05/document-lists` ```json { "results": [ { "id": 1, "name": "List one", "createdAt": "2020-11-05T10:55:51.255Z", "updatedAt": "2020-11-05T10:55:51.255Z" }, { "id": 2, "name": "List two", "createdAt": "2020-11-05T11:09:16.561Z", "updatedAt": "2020-11-05T11:09:16.561Z" }, { "id": 3, "name": "List three", "createdAt": "2020-11-05T11:09:37.213Z", "updatedAt": "2020-11-05T11:09:37.213Z" }, { "id": 4, "name": "List four", "createdAt": "2020-11-05T11:08:53.765Z", "updatedAt": "2020-11-05T11:08:53.765Z" } ] } ``` ## Get Lists > [!NOTE] > This endpoint has changes in version 2026-01. > **Required scope:** `public-api:read` The response is a JSON array including only document lists without resolving documents. **History** | Version | Change | | ------- | ------ | | release-2020-12 | Initial support. | **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/2025-11/document-lists" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/2025-11/document-lists ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | ?name | string | | Filters the result set and allows searching by list name | | ?limit | integer | | A limit for how much document lists to retrieve. Defaults to 10. Max. 100 | | ?offset | integer | | An offset into the query. Useful when getting more than 100 results (pagination) | **Response** _200 OK_ — `/api/2025-11/document-lists` ```json [ { "id": 1, "name": "List one", "createdAt": "2020-11-05T10:55:51.255Z", "updatedAt": "2020-11-05T10:55:51.255Z" }, { "id": 2, "name": "List two", "createdAt": "2020-11-05T11:09:16.561Z", "updatedAt": "2020-11-05T11:09:16.561Z" }, { "id": 3, "name": "List three", "createdAt": "2020-11-05T11:09:37.213Z", "updatedAt": "2020-11-05T11:09:37.213Z" }, { "id": 4, "name": "List four", "createdAt": "2020-11-05T11:08:53.765Z", "updatedAt": "2020-11-05T11:08:53.765Z" } ] ```